package com.glxp.mipsdl.service.order;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.mipsdl.dao.inout.IoOrderUploadLogDao;
import com.glxp.mipsdl.entity.inout.IoOrderUploadLogEntity;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class OrderUploadLogService extends ServiceImpl<IoOrderUploadLogDao, IoOrderUploadLogEntity> {

    @Resource
    IoOrderUploadLogDao orderUploadLogDao;

    public void insertOrUpdate(IoOrderUploadLogEntity orderUploadLogEntity) {
        boolean b = orderUploadLogDao.exists(new QueryWrapper<IoOrderUploadLogEntity>().eq("billNo", orderUploadLogEntity.getBillNo()));
        if (b) {
            orderUploadLogDao.update(orderUploadLogEntity, new QueryWrapper<IoOrderUploadLogEntity>().eq("billNo", orderUploadLogEntity.getBillNo()));
        } else {
            orderUploadLogDao.insert(orderUploadLogEntity);
        }
    }
}
